Win a copy of Design for the Mind this week in the Design forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

What JUnit version for JVM ver. 1.3?

 
Charles McGuire
Ranch Hand
Posts: 99
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have this older application that is still on JVM version 1.3. I am told it will be upgraded next year (I hope), but in the mean time I'm stuck maintaining it at this level. I'd like to add some test classes & methods using JUnit, but I can't seem to find any reference that indicates what is the highest version of JUnit that will work on JDK 1.3.

Does anybody know what JUnit version will work on JDK 1.3?

(If you know the answer, please tell me where you found the answer, esp. if a URL).

Thanks!
 
Ilja Preuss
author
Sheriff
Posts: 14112
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
For Java version lower than 1.5, you should take the latest 3.x version of JUnit.

Sorry, I just happen to know that, can't give you a URL...
 
Charles McGuire
Ranch Hand
Posts: 99
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks for the info!

I was afraid the information was "right under my nose" and just didn't know where to look. I searched all over for this reference and just couldn't find it.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic